## gem 0.19

=== DESCRIPTION ===
Package: gem
Type: Package
Title: File Conversion for 'Gem Infrasound Logger'
Version: 0.19
Date: 2016-08-04
Author: Jake Anderson
Maintainer: Jake Anderson <ajakef@gmail.com>
Description: Reads data files from the 'Gem infrasound logger' for analysis and converts to segy format (which is convenient for reading with traditional seismic analysis software). The Gem infrasound logger is an in-development low-cost, lightweight, low-power instrument for recording infrasound in field campaigns; email the maintainer for more information.
Depends: signal
License: GPL
LazyLoad: yes
Packaged: 2016-08-04 22:07:23 UTC; jake
Repository: CRAN
Date/Publication: 2016-08-05 01:15:05
NeedsCompilation: no
