=== src/Base/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mark@danks.org
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: CPPExtern.o GemPixImageLoad.o GemFuncUtil.o GemPixUtil.o sgiimage.o
all: GemBase.o GemShape.o TextBase.o GemGluObj.o GemPixObj.o GemPixDualObj.o 
all: GemCache.o GemDag.o GemState.o GemPathBase.o GemEvent.o
all: GemWinCreateXWin.o GemMan.o GemSetup.o Matrix.o

sgi: all
