=== src/Geos/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mdanks@cybermed.ucsd.edu
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: circle.o square.o triangle.o
all: sphere.o cube.o cone.o
all: polygon.o curve.o
all: model.o multimodel.o imageVert.o
all: colorSquare.o
all: text2d.o text3d.o textoutline.o

sgi: all
