=== src/Gnu/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/gem
pkglibdir = $(libdir)/gem
pkgincludedir = $(includedir)/gem

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i586-pc-linux-gnu
host_triplet = i586-pc-linux-gnu
CC = gcc
CXX = c++
INCLUDES = -I/home/geiger/debian/gem-0.77/src/Gnu/../../../gem-0.77/src/AuxLibs/particle -I/home/geiger/debian/gem-0.77/src/Gnu/../../../gem-0.77/src/AuxLibs/liborb -I/home/geiger/debian/gem-0.77/src/Gnu/../../../gem-0.77/src/AuxLibs/td -I.. -I/usr/include/gltt 
LIBS = -lparticle -lorb -ltd -lgltt -lttf -ljpeg -ltiff -lMesaGLU -lMesaGL -lm -lXext -lX11 
LIBTOOL = 
MAKEINFO = makeinfo
PACKAGE = gem
RANLIB = gcc
SGI_SPECIFIC = 
VERSION = 0.75
arch_ld_flags = -shared
shell_prog = sh
source_dirs = ../Base ../Geos ../Nongeos ../Controls ../Manips ../Pixes
target = pd_linux

gemdir = $(libdir)/gem
Gem_pd_SOURCES =../Base/CPPExtern.cpp \
../Base/GemBase.cpp \
../Base/GemCache.cpp \
../Base/GemDag.cpp \
../Base/GemEvent.cpp \
../Base/GemFuncUtil.cpp \
../Base/GemGluObj.cpp \
../Base/GemMan.cpp \
../Base/GemPathBase.cpp \
../Base/GemPixDualObj.cpp \
../Base/GemPixImageLoad.cpp \
../Base/GemPixObj.cpp \
../Base/GemPixUtil.cpp \
../Base/GemSetup.cpp \
../Base/GemShape.cpp \
../Base/GemState.cpp \
../Base/GemWinCreateXWin.cpp \
../Base/Matrix.cpp \
../Base/TextBase.cpp \
../Base/sgiimage.cpp \
../Controls/camera.cpp \
../Controls/gemhead.cpp \
../Controls/gemmouse.cpp \
../Controls/gemorb.cpp \
../Controls/gemtablet.cpp \
../Controls/gemwin.cpp \
../Controls/render_trigger.cpp \
../Geos/circle.cpp \
../Geos/colorSquare.cpp \
../Geos/cone.cpp \
../Geos/cube.cpp \
../Geos/curve.cpp \
../Geos/imageVert.cpp \
../Geos/model.cpp \
../Geos/multimodel.cpp \
../Geos/polygon.cpp \
../Geos/sphere.cpp \
../Geos/square.cpp \
../Geos/text2d.cpp \
../Geos/text3d.cpp \
../Geos/textoutline.cpp \
../Geos/triangle.cpp \
../Manips/accumrotate.cpp \
../Manips/alpha.cpp \
../Manips/color.cpp \
../Manips/colorRGB.cpp \
../Manips/depth.cpp \
../Manips/linear_path.cpp \
../Manips/ortho.cpp \
../Manips/rotate.cpp \
../Manips/rotateXYZ.cpp \
../Manips/scale.cpp \
../Manips/scaleXYZ.cpp \
../Manips/separator.cpp \
../Manips/spline_path.cpp \
../Manips/translate.cpp \
../Manips/translateXYZ.cpp \
../Nongeos/fillback.cpp \
../Nongeos/light.cpp \
../Nongeos/partatom.cpp \
../Nongeos/partfount.cpp \
../Nongeos/particle.cpp \
../Nongeos/world_light.cpp \
../Pixes/pix_2grey.cpp \
../Pixes/pix_add.cpp \
../Pixes/pix_alpha.cpp \
../Pixes/pix_bitmask.cpp \
../Pixes/pix_buf.cpp \
../Pixes/pix_clearblock.cpp \
../Pixes/pix_color.cpp \
../Pixes/pix_coloralpha.cpp \
../Pixes/pix_colormatrix.cpp \
../Pixes/pix_composite.cpp \
../Pixes/pix_convolve.cpp \
../Pixes/pix_coordinate.cpp \
../Pixes/pix_draw.cpp \
../Pixes/pix_flip.cpp \
../Pixes/pix_gain.cpp \
../Pixes/pix_image.cpp \
../Pixes/pix_invert.cpp \
../Pixes/pix_mask.cpp \
../Pixes/pix_multiimage.cpp \
../Pixes/pix_multiply.cpp \
../Pixes/pix_resize.cpp \
../Pixes/pix_snap.cpp \
../Pixes/pix_subtract.cpp \
../Pixes/pix_texture.cpp \
../Pixes/pix_threshold.cpp \
../Pixes/pix_zoom.cpp \
Gem_pd_LDADD = -shared

Gem_pd_LDFLAGS = -shared
noinst_PROGRAMS = Gem.pd
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS =  -DPACKAGE=\"gem\" -DVERSION=\"0.75\" -DHAVE_LIBX11=1 -DHAVE_LIBXEXT=1 -DHAVE_LIBM=1 -DHAVE_LIBMESAGL=1 -DHAVE_LIBMESAGLU=1 -DSTDC_HEADERS=1 -DHAVE_VPRINTF=1 -DHAVE_STRDUP=1 -DHAVE_STRSTR=1  -I. -I$(srcdir) 
CPPFLAGS = 
LDFLAGS =  -L/usr/X11R6/lib -L../../../gem-0.77/src/AuxLibs/td -L../../../gem-0.77/src/AuxLibs/liborb -L../../../gem-0.77/src/AuxLibs/particle
X_CFLAGS =  -I/usr/X11R6/include
X_LIBS =  -L/usr/X11R6/lib
X_EXTRA_LIBS = 
X_PRE_LIBS =  -lSM -lICE
Gem_pd_OBJECTS =  CPPExtern.o GemBase.o GemCache.o GemDag.o GemEvent.o \
GemFuncUtil.o GemGluObj.o GemMan.o GemPathBase.o GemPixDualObj.o \
GemPixImageLoad.o GemPixObj.o GemPixUtil.o GemSetup.o GemShape.o \
GemState.o GemWinCreateXWin.o Matrix.o TextBase.o sgiimage.o camera.o \
gemhead.o gemmouse.o gemorb.o gemtablet.o gemwin.o render_trigger.o \
circle.o colorSquare.o cone.o cube.o curve.o imageVert.o model.o \
multimodel.o polygon.o sphere.o square.o text2d.o text3d.o \
textoutline.o triangle.o accumrotate.o alpha.o color.o colorRGB.o \
depth.o linear_path.o ortho.o rotate.o rotateXYZ.o scale.o scaleXYZ.o \
separator.o spline_path.o translate.o translateXYZ.o fillback.o light.o \
partatom.o partfount.o particle.o world_light.o pix_2grey.o pix_add.o \
pix_alpha.o pix_bitmask.o pix_buf.o pix_clearblock.o pix_color.o \
pix_coloralpha.o pix_colormatrix.o pix_composite.o pix_convolve.o \
pix_coordinate.o pix_draw.o pix_flip.o pix_gain.o pix_image.o \
pix_invert.o pix_mask.o pix_multiimage.o pix_multiply.o pix_resize.o \
pix_snap.o pix_subtract.o pix_texture.o pix_threshold.o pix_zoom.o
Gem_pd_LDADD = $(LDADD)
Gem_pd_DEPENDENCIES = 
CXXFLAGS = -g -O2
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
CXXLINK = $(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in acinclude.m4 aclocal.m4 \
config.guess config.sub configure configure.in install-sh missing \
mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
DEP_FILES =  .deps/CPPExtern.P .deps/GemBase.P .deps/GemCache.P \
.deps/GemDag.P .deps/GemEvent.P .deps/GemFuncUtil.P .deps/GemGluObj.P \
.deps/GemMan.P .deps/GemPathBase.P .deps/GemPixDualObj.P \
.deps/GemPixImageLoad.P .deps/GemPixObj.P .deps/GemPixUtil.P \
.deps/GemSetup.P .deps/GemShape.P .deps/GemState.P \
.deps/GemWinCreateXWin.P .deps/Matrix.P .deps/TextBase.P \
.deps/accumrotate.P .deps/alpha.P .deps/camera.P .deps/circle.P \
.deps/color.P .deps/colorRGB.P .deps/colorSquare.P .deps/cone.P \
.deps/cube.P .deps/curve.P .deps/depth.P .deps/fillback.P \
.deps/gemhead.P .deps/gemmouse.P .deps/gemorb.P .deps/gemtablet.P \
.deps/gemwin.P .deps/imageVert.P .deps/light.P .deps/linear_path.P \
.deps/model.P .deps/multimodel.P .deps/ortho.P .deps/partatom.P \
.deps/partfount.P .deps/particle.P .deps/pix_2grey.P .deps/pix_add.P \
.deps/pix_alpha.P .deps/pix_bitmask.P .deps/pix_buf.P \
.deps/pix_clearblock.P .deps/pix_color.P .deps/pix_coloralpha.P \
.deps/pix_colormatrix.P .deps/pix_composite.P .deps/pix_convolve.P \
.deps/pix_coordinate.P .deps/pix_draw.P .deps/pix_flip.P \
.deps/pix_gain.P .deps/pix_image.P .deps/pix_invert.P .deps/pix_mask.P \
.deps/pix_multiimage.P .deps/pix_multiply.P .deps/pix_resize.P \
.deps/pix_snap.P .deps/pix_subtract.P .deps/pix_texture.P \
.deps/pix_threshold.P .deps/pix_zoom.P .deps/polygon.P \
.deps/render_trigger.P .deps/rotate.P .deps/rotateXYZ.P .deps/scale.P \
.deps/scaleXYZ.P .deps/separator.P .deps/sgiimage.P .deps/sphere.P \
.deps/spline_path.P .deps/square.P .deps/text2d.P .deps/text3d.P \
.deps/textoutline.P .deps/translate.P .deps/translateXYZ.P \
.deps/triangle.P .deps/world_light.P
CXXMKDEP = $(CXX) -M $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
SOURCES = $(Gem_pd_SOURCES)
OBJECTS = $(Gem_pd_OBJECTS)

all: Makefile $(PROGRAMS)

.SUFFIXES:
.SUFFIXES: .S .c .cpp .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in  acinclude.m4
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

Gem.pd: $(Gem_pd_OBJECTS) $(Gem_pd_DEPENDENCIES)
	@rm -f Gem.pd
	$(CXXLINK) $(Gem_pd_LDFLAGS) $(Gem_pd_OBJECTS) $(Gem_pd_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) \
	  && $(MAKE) dvi \
	  && $(MAKE) check \
	  && $(MAKE) install \
	  && $(MAKE) installcheck \
	  && $(MAKE) dist
	-rm -rf $(distdir)
	@echo "========================"; \
	echo "$(distdir).tar.gz is ready for distribution"; \
	echo "========================"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --foreign Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:

maintainer-clean-depend:
	-rm -rf .deps

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).P -c $<

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
