=== src/Manips/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mark@danks.org
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: alpha.o color.o depth.o rotate.o translate.o scale.o separator.o
all: rotateXYZ.o translateXYZ.o scaleXYZ.o colorRGB.o accumrotate.o
all: linear_path.o spline_path.o ortho.o

sgi: all
