=== src/Nongeos/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mark@danks.org
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
##################################################

include ../Make.include

# the object files
all: world_light.o light.o particle.o

sgi: all
