=== src/Pixes/Makefile ===
##################################################
#
#   Makefile for GEM
#   	    Graphics Environment for Multimedia
#
#   mdanks@cybermed.ucsd.edu
#
#   Copyright (c) 1997-1998 Mark Danks.
#   For information on usage and redistribution, and for a DISCLAIMER OF ALL
#   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
#
#	$Id: Makefile,v 1.5 1998/02/25 05:09:31 mdanks Exp $
#
##################################################

include ../Make.include

# the object files
all: pix_image.o pix_multiimage.o pix_snap.o
all: pix_texture.o pix_draw.o pix_buf.o

all: pix_2grey.o pix_gain.o pix_zoom.o pix_convolve.o pix_colormatrix.o
all: pix_coloralpha.o pix_color.o pix_threshold.o pix_alpha.o pix_bitmask.o
all: pix_add.o pix_subtract.o pix_multiply.o pix_invert.o pix_flip.o

all: pix_composite.o pix_mask.o pix_clearblock.o
all: pix_coordinate.o pix_resize.o

sgi: pix_videoSGI.o pix_indycam.o all
