=== src/AuxLibs/particle/Makefile ===
######################################################################
# Particle System API and Demo
#
# by Dave McAllister
#
######################################################################

C++ = c++

COPT = -O3 
CFLAGS = $(COPT) $(COMPFLAGS) -I. -I.. 
LIBSG= -L/usr/X11R6/lib -lparticle -lglut -lMesaGL -lMesaGLU -lXmu -lX11 -lXext -lm

POBJS =action_api.o actions.o opengl.o system.o

ALL = libparticle.a

all: $(ALL)

# following line needed for c++ .cc files
.SUFFIXES	: .cpp

.cpp.o:
	$(C++) $(CFLAGS) -c $<

libparticle.a: $(POBJS)
	rm -f $@
	ar clq $@ $(POBJS)

pspray: PSpray.o libparticle.a
	$(C++) $(CFLAGS) -o $@ PSpray.o -L. $(LIBSG)

clean:
	rm -f $(ALL)
	rm -f *.o
