## gem 0.81

=== src/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #
 #   mark@danks.org
 #
-#   Copyright (c) 1997-1998 Mark Danks.
+#   Copyright (c) 1997-1999 Mark Danks.
 #   For information on usage and redistribution, and for a DISCLAIMER OF ALL
 #   WARRANTIES, see the file, "GEM.LICENSE.TERMS" in this distribution.
 #
@@ -22,11 +22,12 @@
 # the objects
 #############
 BASE_CORE = CPPExtern.o GemMan.o GemBase.o sgiimage.o GemEvent.o
-BASE_EXT = GemShape.o TextBase.o GemPathBase.o GemGluObj.o GemPixObj.o GemPixDualObj.o
-BASE_OBJ = ${BASE_CORE} ${BASE_EXT}
-UTILS_BASE = GemSetup.o GemState.o GemCache.o GemDag.o Matrix.o
+BASE_EXT_A = GemShape.o TextBase.o GemPathBase.o GemGluObj.o
+BASE_EXT_B = GemPixObj.o GemPixDualObj.o GemLoadObj.o GemModelData.o
+BASE_OBJ = ${BASE_CORE} ${BASE_EXT_A} ${BASE_EXT_B}
+UTILS_BASE = GemSetup.o GemState.o GemCache.o GemDag.o
 UTILS_PIX = GemFuncUtil.o GemPixUtil.o GemPixImageLoad.o
-UTILS_OS = GemWinCreateXWin.o
+UTILS_OS = GemWinCreateXWin.o Matrix.o
 UTILS = ${UTILS_BASE} ${UTILS_PIX} ${UTILS_OS}
 
 CONTROLS_A = gemwin.o camera.o render_trigger.o gemhead.o
@@ -41,10 +42,19 @@
 SPEC_GEOS = polygon.o model.o multimodel.o curve.o colorSquare.o
 GEOS = ${2DGEOS} ${3DGEOS} ${SPEC_GEOS}
 
+MARKEX_A = MarkExSetup.o abs.o average.o counter.o m_control.o hsvrgb.o
+MARKEX_B = multiselect.o randomF.o reson.o strcat.o tripleLine.o vector.o
+MARKEX = ${MARKEX_A} ${MARKEX_B}
+
 NONGEOS = world_light.o light.o
 
+PART_A = part_color.o part_draw.o part_follow.o part_gravity.o
+PART_B = part_head.o part_killold.o part_killslow.o part_orbitpoint.o
+PART_C = part_size.o part_source.o part_velcone.o part_velsphere.o
+PARTICLE = ${PART_A} ${PART_B} ${PART_C}
+
 PIX_GEOS = pix_image.o pix_multiimage.o pix_texture.o pix_draw.o pix_snap.o
-PIX_CONTROLS = pix_resize.o pix_buf.o pix_zoom.o
+PIX_CONTROLS = pix_resize.o pix_buf.o pix_zoom.o pix_data.o
 PIX_MANA = pix_add.o pix_subtract.o pix_multiply.o
 PIX_MANB = pix_threshold.o pix_gain.o pix_color.o pix_bitmask.o pix_flip.o
 PIX_MANC = pix_colormatrix.o pix_alpha.o pix_convolve.o pix_composite.o
@@ -56,7 +66,7 @@
 SGI_SPECIFIC = pix_videoSGI.o pix_indycam.o
 
 OBJ = ${BASE_OBJ} ${UTILS} ${CONTROLS} ${MANIPULATORS} \
-      ${GEOS} ${NONGEOS} ${PIXES}
+      ${GEOS} ${NONGEOS} ${PIXES} ${MARKEX} ${PARTICLE}
 
 SGI_OBJ = ${OBJ} ${SGI_SPECIFIC}
 LINUX_OBJ = ${OBJ}
@@ -139,7 +149,7 @@
 #	cd ${OBJ_DIR}; ld ${LD_FLAGS} -o ${TARGET} ${LINUX_OBJ} ${LIB}
 
 
-TARG_DIR = Base Geos Nongeos Controls Manips Pixes
+TARG_DIR = Base Geos Nongeos Controls Manips Pixes Particles MarkEx
 
 # make target
 #############
