=== src/AuxLibs/liborb/orbfly/Makefile ===
##
## Makefile for orbfly. 
## Copyright 1997, 1998 John E. Stone (j.stone@acm.org)
##
## $Id: Makefile,v 1.1 1998/08/29 20:41:35 mdanks Exp $
##

##
## Edit these OpenGL include and linkage flags for your system.
##

GLUTHOME = /disk4/packages/build/glut-3.6
GLINC = -I/usr/openwin/include -I$(GLUTHOME)/include/GL
GLLIB = -L/usr/lib -lGL -lGLU  -L$(GLUTHOME)/lib/glut -lglut

##
## Edit the CC, CFLAGS, AR, and RANLIB compilation variables for your own
## system and preferences.
##
CC = cc
CFLAGS = -O  $(GLINC) -I..
LFLAGS = $(GLLIB) -L.. -lorb -lm -lXmu -lX11 
AR = ar
RANLIB = touch


##
## You shouldn't need to modify anything below this point under normal
## circumstances.
##

OBJS = orbfly.o orbquat.o

all : ../liborb.a orbfly

orbfly : ../liborb.a $(OBJS)
	$(CC) $(CFLAGS) $(OBJS) -o orbfly $(LFLAGS) 

orbfly.o : orbfly.c 
	$(CC) $(CFLAGS) orbfly.c -c

orbquat.o : orbquat.c orbquat.h
	$(CC) $(CFLAGS) orbquat.c -c

clean :
	rm -f $(OBJS) orbfly
