=== src/Base/Makefile ===
default: o_objects

include ../Makefile.subdir

all:
	make -C ..
