=== debian/changelog ===
gem (1:0.92.3-2) unstable; urgency=low

  [ IOhannes m zmölnig ]
  * bumped to standards 3.9.1
  * Build-depend on quilt (>= 0.46-7~)
  * Added Vcs-git and Vcs-browser fields
  * fixed kFreeBSD build issues
  * Removed dependency on libdv (doesn't work with newer kernels)
  * Moved example patches into /usr/share/gem and symlink them (Closes: #579943)
  * Added examples from 09.glsl (which needs 05_fixperms as one patch is +x)
  * Avoid installing vera.ttf living in examples/05.text/
  * there is no examples/00* section
  * Fixed path to text-examples
  * Fixed permissions via patch to build-system
  * Added missing includes for fstat() (Closes:#600381)
  * Added patch descriptions for quilt-patches
  * optionally include linux/videodev.h (Closes: #621956)

  [Paul Brossier]
  * Make sure mmx is enabled

 -- Paul Brossier <piem@debian.org>  Thu, 12 May 2011 14:12:57 +0200

gem (1:0.92.3-1) unstable; urgency=low

  * New upstream
  * removed debian/patches/00_no_flags_overwrite.patch, as it's in upstream
  * converted source format to "3.0 (quilt)"

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Fri, 19 Mar 2010 16:41:16 +0100

gem (1:0.92.2-3) unstable; urgency=low

  * debian/patches/03_falign_default.patch:
    - remove "apparently pointlessly picky options =32" for falign-... options
      (Closes: #573712)
  * fixed comma typo in "Uploaders" field
  * fixed build-deps for hurd and kfreebsd
  * build-depend on libmagick++-dev rather than libmagick++9-dev
  * made the binary package "suggest" ttf-dejavu rather than "depend" on it
  * bumped standards version to 3.8.4

 -- IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>  Thu, 18 Mar 2010 19:32:09 +0100

gem (1:0.92.2-2) unstable; urgency=low

  * debian/patches/00_no_flags_overwrite.patch:
    - do not overwrite CXXFLAGS (closes: #562635)
    - make sure user defined flags are last

 -- Paul Brossier <piem@debian.org>  Sun, 27 Dec 2009 02:16:12 +0100

gem (1:0.92.2-1) unstable; urgency=low

  [IOhannes m zmoelnig]
  * New upstream (Closes: #485972)
  * New upstream version fixes bugs by itself (Closes: #549720)
  * new upstream version might fix problems on various driver/hardware
    combinations (and provides mechanisms for workarounds) (Closes: #454731)
  * build against libavifile
  * build-depend on automake
  * added "pd-gem" script that properly calls Pd with the correct Gem enabled
  * added myself as Maintainer, since gem is officially orphaned 
  * bumped debhelper version
  * fixes most lintian warnings
    (Closes: #546956)

  [Paul Brossier]
  * debian/control:
    - adopt package (closes: #546956)
    - span build-depends on multiple lines
    - switch to quilt, tighten debhelper depends
  * debian/rules:
    - switch to debhelper
    - remove direct patch to src/configure
    - remove gem-0.92-1.tar.gz.cdbs-config_list
    - clean generated src/Base/configLinux.h
  * debian/patches/series, debian/README.source: switch to quilt

 -- Paul Brossier <piem@debian.org>  Fri, 25 Dec 2009 13:04:48 +0100

gem (1:0.90.0.1-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Update ttf-bitstream-vera dep to ttf-dejavu. (Closes: #461282).
    + 05_change_defaultfont.patch - Change to DejaVu.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 11 May 2009 13:17:39 -0400

gem (1:0.90.0.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to unstable; sorry.

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 08 Sep 2008 19:28:44 +0200

gem (1:0.90.0.1-2.1) experimental; urgency=low

  * Non-maintainer upload.

  [ Sam Hocevar ]
  * Build-depend on libftgl-dev in order to use the shared version of the
    library. (Closes: #485798)

  [ Peter Green ]
  * Spurious build-dependency xlibs-static-dev can simply be removed.
    (Closes: #484190, #421560)

  [ Andreas Henriksson ]
  * Add debian/patches/06_ftgl.patch to link ftgl instead of ftgl_pic.

  [Alexander Reichle-Schmehl]
  * Replacing xlibmesa-gl-dev with libgl1-mesa-dev in build depends
  * Replacing "Apps/Graphics with "Applications/Graphics" in debian/menu

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Sun, 07 Sep 2008 17:08:52 +0200

gem (1:0.90.0.1-2) unstable; urgency=low

  * Dropped kernel-headers build dependency (closes: 432546) (closes: 433276)
  * removed build dep on xlibs-static-dev (closes: 421560)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 16 Jul 2007 12:37:11 +0200

gem (1:0.90.0.1-1) unstable; urgency=low

  * removed truetype fonts (closes: #372784)
  * Made /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf the
    default font (patch)
  * depends on ttf-bitstream-vera
  * suggests pd-zexy
  * removed dependency on xlibmesa-glu-dev (closes: #374595) (closes: #374266)
  * bumped standards version to 3.7.2

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 22 Jun 2006 20:36:06 +0200

gem (1:0.90.0-18) unstable; urgency=low

  * Removed FFMPEG support (doesnt compile with newer FFMPEG)
  * applied patch for libquicktime header location change (quicktime ->
    lqt)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu,  6 Oct 2005 11:09:26 +0200

gem (1:0.90.0-17) unstable; urgency=low

  * added libvorbis, libvorbisenc and libdc1394_control

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 19 Aug 2005 12:12:01 +0200

gem (1:0.90.0-16) unstable; urgency=low

  * Added build dependency on libxxf86vm-dev (closes: #323521)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 19 Aug 2005 10:29:40 +0200

gem (1:0.90.0-15) unstable; urgency=low

  * reordered avcodec and avformat, added libdts

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri, 24 Jun 2005 16:08:50 +0200

gem (1:0.90.0-14) unstable; urgency=low

  * Linking with _pic version of avformat and avcodec (closes: #313066)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 12 Jun 2005 16:22:56 +0200

gem (1:0.90.0-13) unstable; urgency=low

  * Added libdv and ffmpeg
  * Pulled dv1394.h file in

