=== debian/control ===
Source: gem
Section: graphics
Priority: optional
Maintainer: Paul Brossier <piem@debian.org>
Uploaders: IOhannes m zmoelnig (gpg-key at iem) <zmoelnig@iem.at>,
 Guenter Geiger (Debian/GNU) <geiger@debian.org>
Homepage: http://gem.iem.at/
Vcs-Browser: http://git.debian.org/?p=collab-maint/gem.git
Vcs-Git: git://git.debian.org/git/collab-maint/gem.git
Build-Depends: debhelper (>= 7.0.50~),
 autoconf,
 automake,
 pkg-config,
 puredata-dev | puredata | pd,
 libftgl-dev,
 libmagick++-dev,
 libxxf86vm-dev,
 libgl1-mesa-dev | libgl-dev,
 zlib1g-dev (>= 1:1.1.3),
 libquicktime-dev [!hurd-i386],
 libmpeg3-dev,
 libavifile-0.7-dev,
 libgmerlin-avdec-dev [!hurd-i386],
 libv4l-dev [!kfreebsd-amd64 !kfreebsd-i386]
Standards-Version: 3.9.2

Package: gem
Architecture: any
Depends: pd, ${misc:Depends}, ${shlibs:Depends}
Suggests: pd-zexy, ttf-dejavu
Description: Graphics Environment for Multimedia - PureData library
 Gem is a loadable library for puredata, which adds OpenGL graphics rendering
 and animation to Pd.  Pd is a graphical programming language and computer
 music system.
