=== debian/watch ===
version=3
http://sf.net/pd-gem/ gem-(\d+)\.(\d+)-(\d)\.tar\.gz
